%define version    0.9.18
%define release    1mdk
%define name    xine-ui
%define xineversion 1

Name:        %name
Summary:     A Free Video Player.
Version:     %version
Release:     %release
License:     GPL
Group:       Video
Source:      %name-%version.tar.bz2
Source1:     xine-skins.tar.bz2
URL:         http://xine.sourceforge.net
Requires:    xine-plugins >= %xineversion
Requires:    ORBit
Requires:    curl	
BuildRequires: XFree86-devel
BuildRequires: aalib-devel
BuildRequires: libcurl-devel
BuildRequires: libslang1-devel
Buildrequires: libgpm1-devel
BuildRequires: libpng-devel
Buildrequires: libxine%{xineversion}-devel
BuildRequires: lirc-devel
BuildRoot:   %_tmppath/%name-buildroot

%description 
xine is a free GPL-licensed video player for UNIX-like systems.

User interface for the X Window system.

%package aa
Summary:     XINE - Ascii Art player.
Group:       Video
Requires:    xine-plugins >= %xineversion
Requires:    xine-aa

%description aa
xine is a free GPL-licensed video player for UNIX-like systems.

User interface with ascii art (text mode) output.

%package fb
Summary:     XINE - framebuffer video player.
Group:       Video
Requires:    xine-plugins >= %xineversion

%description fb
xine is a free GPL-licensed video player for UNIX-like systems.

User interface with support for linux framebuffer output.


%prep

%setup -q -a 1

%build
%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std transform=""

(cd $RPM_BUILD_ROOT
mkdir -p ./%{_libdir}/menu
cat > ./%{_libdir}/menu/%{name} <<EOF 
?package(xine-ui):command="%{_bindir}/xine" title="Xine" longtitle="Xine Video Player" needs="X11" section="Multimedia/Video" icon="xine.png" 	mimetypes="video/mpeg,video/msvideo,video/quicktime,video/x-avi,video/x-ms-asf,video/x-ms-wmv,video/x-msvideo,application/x-ogg,audio/x-mp3,audio/x-mpeg,video/x-fli,audio/x-wav" accept_url="true" multiple_files="true"
EOF
)

#install icons
mkdir -p %{buildroot}{%{_liconsdir},%{_miconsdir},%{_iconsdir}}
(cd misc/desktops
cp xine_48x48.png %{buildroot}%{_liconsdir}/xine.png
cp xine_32x32.png %{buildroot}%{_iconsdir}/xine.png
cp xine_16x16.png %{buildroot}%{_miconsdir}/xine.png
)

#extra skins
cp -r xine-skins/* %buildroot/%_datadir/xine/skins

#language files
#fix invalid polish locale dir
(cd %buildroot/%_datadir/locale; mv pl_PL pl)
%find_lang xitk
%find_lang xine-ui
cat xitk.lang >> xine-ui.lang

rm -rf %buildroot%_datadir/doc
rm -rf %buildroot%_datadir/curl

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f xine-ui.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README doc/FAQ* doc/bug_report_form
%doc doc/README.config* doc/README.corba doc/README.divx4 
%doc doc/README.dxr3* doc/README_* doc/README.mrl doc/README.syncfb 
%_bindir/xine*
%_datadir/xine
%_datadir/pixmaps/*
%_mandir/man1/*
%lang(de) %_mandir/de/man1/*
%lang(es) %_mandir/es/man1/*
%lang(fr) %_mandir/fr/man1/*
%lang(pl) %_mandir/pl/man1/*
%_menudir/*
%_miconsdir/xine.png
%_liconsdir/xine.png
%_iconsdir/xine.png

%files aa
%defattr(-,root,root)
%doc README COPYING
%_bindir/aaxine

%files fb
%defattr(-,root,root)
%doc README COPYING
%_bindir/fbxine

%changelog
* Fri Jan 31 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.18-1mdk
- fix descriptions and dependancies
- add fb subpackage for the fbxine frontend
- new version

* Thu Jan 30 2003 Stefan van der Eijk <stefan@eijk.nu> 0.9.17-3mdk
- BuildRequires: libxine-devel --> libxine%{xineversion}-devel

* Thu Jan 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.17-2mdk
- rebuild against latest ssl

* Sat Jan  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.17-1mdk
- new version

* Sat Dec 21 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.16-1mdk
- build with curl support
- new version

* Thu Nov 28 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.15-2mdk
- remove curl certificates and require curl package instead

* Thu Nov 28 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.15-1mdk
- add curl certificate
- requires latest xine-libs
- fix installation
- autoconf 2.5 macro 
- new version

* Tue Oct 29 2002 Stefan van der Eijk <stefan@eijk.nu> 0.9.13-4mdk
- BuildRequires: XFree86-devel

* Tue Oct  8 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.13-3mdk
- fix the polish locale dir
- accept urls and multiple files in menu 
- fix mime type in menu (thx Michael Reinsch <mr@uue.org>)

* Thu Aug 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.13-2mdk
- Fix Build Requires

* Sun Aug  4 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.13-1mdk
- 0.9.13

* Mon Jun 24 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.12-1mdk
- drop the patch
- 0.9.12

* Sat Jun 22 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.11-2mdk
- fix broken german translation causing a segfault on startup
- add more skins

* Fri Jun 21 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.11-1mdk
- add german man pages to the file list
- 0.9.11

* Mon May 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.10-1mdk
- 0.9.10

* Mon Apr 29 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.9-1mdk
- remove the extra skins, they are now included
- 0.9.9

* Fri Feb 22 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.8-3mdk
- updated CelomaMdk and xinetic theme
- added CelomaGold theme
- updated documentation section

* Thu Feb 21 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.8-2mdk
- added CelomaMdk theme

* Thu Jan 17 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.8-1mdk
- added xine-check and xine-bugreport
- updated %%doc section 
- 0.9.8

* Tue Dec 18 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.9.7-1mdk
- 0.9.7

* Wed Dec  5 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.9.6-3mdk
- really remove requirement for libdvdread2

* Wed Dec  5 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.9.6-2mdk
- don't require libdvdread2

* Thu Nov 29 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.9.6-1mdk
- 0.9.6

* Mon Nov 26 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.9.5-1mdk
- install translation files
- install icons
- fix data dir
- fix file listing
- BuildRequires libpng-devel
- new version

* Thu Nov 22 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.9.4-3mdk
- add missing files
- rebuild with new skins dir (/usr/share/xine0)
- use macros

* Wed Nov 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9.4-2mdk

- fix requires in xine-ui-aa ( thx laurent )


* Wed Nov 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9.4-1mdk
- 0.9.4

